aboutsummaryrefslogtreecommitdiffstats
path: root/plugins/hexview
diff options
context:
space:
mode:
authorGravatar Arun Prakash Jana <engineerarun@gmail.com>2019-04-18 20:27:35 +0530
committerGravatar Arun Prakash Jana <engineerarun@gmail.com>2019-04-18 20:32:53 +0530
commit5cf34717161bd866a634d8a9ad209afb4004857b (patch)
treee63a1f4849c7ebb7658725a4369caa48a0710af4 /plugins/hexview
parent12ce9451ee1c24ad245d33e8944ba77a1108b5b2 (diff)
downloadnnn-5cf34717161bd866a634d8a9ad209afb4004857b.tar.gz
Plugins!
Diffstat (limited to 'plugins/hexview')
-rwxr-xr-xplugins/hexview11
1 files changed, 11 insertions, 0 deletions
diff --git a/plugins/hexview b/plugins/hexview
new file mode 100755
index 0000000..5125fa3
--- /dev/null
+++ b/plugins/hexview
@@ -0,0 +1,11 @@
+#!/usr/bin/env sh
+
+# Description: View a file in hex
+# Requires: xxd and $PAGER
+#
+# Shell: POSIX compliant
+# Author: Arun Prakash Jana
+
+if ! [ -z "$1" ]; then
+ xxd "$1" | "$PAGER"
+fi